For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddQueue
        • POSTBindUserToQueue
        • POSTDelQueue
        • POSTSetQueueInfo
        • POSTGetQueues
        • POSTGetACDState
        • POSTGetACDOperatorStatistics
        • POSTGetACDQueueStatistics
        • POSTGetACDOperatorStatusStatistics
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceQueues

GetACDOperatorStatusStatistics

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics
POST
/platform_api/GetACDOperatorStatusStatistics
$curl -X POST "https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28%2017%3A30%3A00&user_id=string" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "user_id": 487576,
5 "statistics": [
6 {
7 "date": "2019-05-20",
8 "hour": 11,
9 "acd_status": {
10 "READY": {
11 "min": 151,
12 "avg": 1323,
13 "max": 2496,
14 "count": 2,
15 "sum": 2647
16 },
17 "ONLINE": {
18 "min": 14,
19 "avg": 101,
20 "max": 267,
21 "count": 3,
22 "sum": 303
23 }
24 }
25 },
26 {
27 "date": "2019-05-20",
28 "hour": 12,
29 "acd_status": {
30 "READY": {
31 "min": 1169,
32 "avg": 1169,
33 "max": 1169,
34 "count": 1,
35 "sum": 1169
36 },
37 "ONLINE": {
38 "min": 27,
39 "avg": 1139,
40 "max": 2252,
41 "count": 2,
42 "sum": 2279
43 }
44 }
45 }
46 ]
47 },
48 {
49 "user_id": 487578,
50 "statistics": [
51 {
52 "date": "2019-05-20",
53 "hour": 11,
54 "acd_status": {
55 "READY": {
56 "min": 42,
57 "avg": 234,
58 "max": 472,
59 "count": 4,
60 "sum": 939
61 },
62 "ONLINE": {
63 "min": 24,
64 "avg": 955,
65 "max": 1886,
66 "count": 2,
67 "sum": 1911
68 }
69 }
70 },
71 {
72 "date": "2019-05-20",
73 "hour": 12,
74 "acd_status": {
75 "ONLINE": {
76 "min": 2350,
77 "avg": 2350,
78 "max": 2350,
79 "count": 1,
80 "sum": 2350
81 }
82 }
83 }
84 ]
85 }
86 ]
87}
Get statistics for the specified operators and ACD statuses. This method can filter statistics by operator ids and statuses. It can also group results by day/hour or users. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`. **Example request:** Get statistics for the 'READY' and 'ONLINE' statuses of all operators; grouped by operators.
Was this page helpful?
Previous

GetACDQueueStatistics

Next

GetSmartQueueRealtimeMetrics

Built with

Get statistics for the specified operators and ACD statuses. This method can filter statistics by operator ids and statuses. It can also group results by day/hour or users.

Allowed roles: Owner, Admin, Developer, Supervisor, User manager.

Example request: Get statistics for the ‘READY’ and ‘ONLINE’ statuses of all operators; grouped by operators.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

Date and time of statistics interval begin. Time zone is UTC, format is 24-h ‘YYYY-MM-DD HH:mm:ss’

to_datestringOptionalDefaults to current date and time

Date and time of statistics interval begin. Time zone is UTC, format is 24-h ‘YYYY-MM-DD HH:mm:ss’

acd_statuslist of stringsOptional

The ACD status list separated by semicolons (;). The following values are possible: OFFLINE, ONLINE, READY, BANNED, IN_SERVICE, AFTER_SERVICE, TIMEOUT, DND

user_idlist of stringsRequired

The user ID list separated by semicolons (;). Use the ‘all’ value to select all users

aggregationstringOptionalDefaults to none

Specifies how records are grouped by date and time. If set to ‘day’, the criteria is a day number. If set to ‘hour_of_day’, the criteria is a 60-minute interval within a day. If set to ‘hour’, the criteria is both day number and 60-minute interval within that day. If set to ‘none’, records are not grouped by date and time

groupstringOptionalDefaults to user

If set to ‘user’, first-level array in the resulting JSON groups records by the user ID, and second-level array groups them by date according to the ‘aggregation’ parameter. If set to ‘aggregation’, first-level array in the resulting JSON groups records according to the ‘aggregation’ parameter, and second-level array groups them by the user ID

Response

Successful response
resultlist of objects
List of groups, grouped by user ID or date according to the 'group' method call argument

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.